> For the complete documentation index, see [llms.txt](https://docs.videsk.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.videsk.io/es-developers/widgets/personalizacion/posicion-del-widget.md).

# Posición del widget

Es posible mover el widget de posición mediante código CSS o Javascript. Para ello deberás añadir el siguiente snippet:

### CSS

{% tabs %}
{% tab title="Izquierda" %}

```css
.videsk-top-container {
    left: 3% !important;
    align-items: flex-start !important;
}

.videsk-button-iframe {
    left: 10px !important;
    right: unset !important;
    bottom: 10px;
}
```

{% endtab %}

{% tab title="Derecha" %}

```css
.videsk-top-container {
    right: 3% !important;
    align-items: flex-end !important;
}

.videsk-button-iframe {
    left: unset !important;
    right: 10px !important;
    bottom: 10px;
}
```

{% endtab %}
{% endtabs %}

### Javascript

{% tabs %}
{% tab title="Javascript (Izquierda)" %}

```html
<script>
const style = document.createElement('style');
style.innerHTML = `
.videsk-top-container {
    left: 3% !important;
    align-items: flex-start !important;
}

.videsk-button-iframe {
    position: absolute;
    left: 10px !important;
    right: unset !important;
    bottom: 10px;
}
`;
document.head.appendChild(style);
</script>
```

{% endtab %}

{% tab title="Javascript (Derecha)" %}

```
<script>
const style = document.createElement('style');
style.innerHTML = `
.videsk-top-container {
    right: 3% !important;
    align-items: flex-end !important;
}
.videsk-button-iframe {
    position: absolute;
    left: unset !important;
    right: 10px !important;
    bottom: 10px;
}
`;
document.head.appendChild(style);
</script>
```

{% endtab %}
{% endtabs %}

{% hint style="success" %}
🚧 Estamos trabajando para que esta personalización la puedas realizar por el dashboard. 🚧
{% endhint %}

## Posición en base a resolución

Para modificar la posición del widget basado en la resolución del dispositivo puede utilizar [CSS media queries](https://developer.mozilla.org/es/docs/Web/CSS/Media_Queries/Using_media_queries).

{% hint style="info" %}
`max-width` y `min-width` representarán puntos de quiebre (breakpoints) en base a la resolución en pixeles.
{% endhint %}

La siguiente tabla porporciona breakpoints más comunes:

| Resoluciones    | Dispositivo                             |
| --------------- | --------------------------------------- |
| 320px - 480px   | Mobile devices                          |
| 481px - 768px   | iPads y tablets                         |
| 769px - 1024px  | Pantallas pequeñas (laptops, notebooks) |
| 1025px - 1200px | Escritorios                             |
| 1201px o más    | Alta resolución                         |

A continuación, te proporcionamos algunos ejemplos:

{% code title="Izquierda móvil" %}

```css
@media screen and (max-width: 600px) {

    .videsk-top-container {
        left: 3% !important;
        align-items: flex-start !important;
    }
    
    .videsk-button-iframe {
        left: 10px !important;
        right: unset !important;
        bottom: 10px;
    }
    
}
```

{% endcode %}

{% code title="Izquierda notebooks" %}

```css
@media screen and (min-width: 800px) {

    .videsk-top-container {
        left: 3% !important;
        align-items: flex-start !important;
    }
    
    .videsk-button-iframe {
        left: 10px !important;
        right: unset !important;
        bottom: 10px;
    }
    
}
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.videsk.io/es-developers/widgets/personalizacion/posicion-del-widget.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
